@use "../theme";

.community-overview {
    .category {
        display: flex;
        flex-direction: column;
        justify-content: flex-end;
        align-items: flex-start;

        &__title {
            display: flex;
            flex-direction: row;
            align-items: center;

            .icon {
                color: var(--color-palatinate-blue);
            }

            &__heading {
                margin-bottom: 0;
                line-height: 1.5;
                color: color-mix(in srgb, var(--color-palatinate-blue) 50%, black);
            }
        }

        &__pages {
            display: flex;
            flex-direction: row;
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(15rem, 1fr));
            grid-gap: .75rem;
            width: 100%;

            @media only screen and (min-width: theme.$xl) {
                grid-template-columns: repeat(4, 1fr);
            }

            &__page {
                background-color: color-mix(in srgb, var(--color-palatinate-blue) 12%, white);
                transition: all ease-in 100ms;
                text-decoration: none;
                display: flex;
                align-items: flex-start;
                flex-direction: column;

                &:hover {
                    background-color: color-mix(in srgb, var(--color-palatinate-blue) 30%, white);

                    p {
                        text-decoration: underline;
                    }
                }

                &__organization {
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    padding: theme.$spacing02 theme.$spacing03;
                    border-radius: 10px;
                    background-color: white;
                    margin-top: theme.$spacing02;
                    margin-bottom: theme.$spacing02;
                }


                &__title {
                    font-family: var(--font-family-paragraph);
                    font-weight: 600;
                    color: color-mix(in srgb, var(--color-palatinate-blue) 50%, black);
                    margin-bottom: theme.$spacing01;
                    font-size: theme.$fontSizeMedium;
                    line-height: theme.$lineHeightNormal;
                }

                &__tags {
                    margin-top: theme.$spacing01;
                }
            }

            p {
                text-decoration: none;
                color: color-mix(in srgb, var(--color-link) 50%, var(--color-gray-800));
            }

        }

        &__link {
            text-decoration: none;
            display: flex;
            align-items: center;
            justify-content: center;

            svg {
                transition: all ease-in 100ms;
                margin-left: .2rem;
                font-weight: normal;
            }

            &:hover {
                svg {
                    margin-left: .3rem;
                }

                text-decoration: underline;
            }
        }

        .type {
            display: flex;
            flex-direction: column;

            &__title {
                color: var(--color-font-dark-blue);
            }
        }
    }
}